---
title: "Lynne Teaches Tech: What do all the parts of a URL or hyperlink mean?"
author: Lynne
categories: [Lynne Teaches Tech, Originally from the Fediverse]
tags: [Lynne Teaches Tech]
---

when you access a website in your browser, its URL (Universal Resource Location) will almost always start with either https:// or http://. this is known as the schema, and tells the browser what type of connection it's going to be using, and how it needs to talk to the server. these aren't the only schemas - another common one is ftp, which is natively supported by most browsers. try opening this link: <ftp://ftp.iinet.net.au/pub/>

a hyperlink (or just link) is a name for a clickable or otherwise interactive way to access a URL, typically represented by blue underlined text. clicking a link opens a URL and not the other way around.

the next part of a URL is the domain name, which may be preceded by one or more subdomains. for example:  
google.com - no subdomain  
docs.google.com - subdomain "docs"

a common subdomain is "www", for example, www.google.com. using www isn't necessary and contains no special meaning, but many websites use or used it to indicate that the subdomain was intended to be accessed by a web browser. for example, typical webpages could be at www.example.com, with FTP files stored at ftp.example.com.

the ".com" at the end of a URL is a TLD, or Top Level Domain. these carry no special meaning to the computer, but are used to indicate to the user what type of website they're accessing. government websites use .gov, while university sites use .edu. you can have multiple TLDs - for example, <https://australia.gov.au>

in "example.com/one/two", "/one/two" is the path. this is the path to the file or page you want to access, similarly to how the path to your user folder on your computer might be "C:\\Users\\Person".

some URLs end with a question mark and some other things, like "example.com?page=welcome". this is the query portion of the URL, which can be used to give the server some instructions. what this means varies from site to site.

finally, some URLs might end with a hash followed by a word, like example.com\#content. this is called a fragment or anchor, and tells the browser to scroll to a certain part on the page.

technically, a URL is only a URL if it includes the schema. this means that <https://example.com> is a URL, but example.com isn't - it's a URI, the I standing for Identifier. however, people will understand what you mean if you use them interchangeably.

[view original post](https://fedi.lynnesbian.space/@lynnesbian/101898501800196300)

