---
title: "Lynne Teaches Tech: What are all the different types and versions of USB about?"
author: Lynne
categories: [Lynne Teaches Tech]
tags: [Lynne Teaches Tech]
---

Describing something like an Ethernet port is easy. You have one number to worry about: the speed rating. 100Mbps, 1Gbps, 10Gbps... It's very simple.

USB, on the other hand, has two defining attributes: the type, and the version. Calling a USB port "USB 3.1" or "USB-C" doesn't tell you the whole story.

<!--more-->  
*Note: I'll be using the term "port" to mean "bus" at times throughout this post for simplicity's sake.*

The letters
-----------

At first, there really was only one USB port type.

![This one!](https://bune.city/wp-content/uploads/2019/05/1920px-USB_Type-A_receptacle.svg_.png){.wp-image-202}

When people describe a port as a "USB port" without any additional info, they're talking about this one. USB-A ports can be found everywhere, and are (as of writing) still more common than USB-C.

If this is USB-A, and we're up to USB-C, then where's USB-B? You might have used one without knowing.

![A USB-B port](https://bune.city/wp-content/uploads/2019/05/850px-USB_Type-B_receptacle.svg_.png){.wp-image-203}

USB-B cables are often referred to as "printer cables", as they are most commonly used on printers.

![This USB-A to USB-B cable from Officeworks is described as a "printer cable", and is sold under the "printer cables" category.](https://bune.city/wp-content/uploads/2019/05/Screenshot_20190517-021443_Firefox.png){.wp-image-204}

A more commonly seen port is USB Micro-B, which was used on most Android smartphones, before manufacturers adopted USB-C.

![](https://bune.city/wp-content/uploads/2019/05/1280px-USB_Micro-B.svg_.png){.wp-image-205}

There are [many more varieties of USB](https://en.wikipedia.org/wiki/USB#Receptacle_(socket)_identification), such as USB Mini-A, USB SuperSpeed B, and, of course, USB-C.

![A USB-C port.](https://bune.city/wp-content/uploads/2019/05/1920px-USB_Type-C_icon.svg_.png){.wp-image-207}

The numbers
-----------

USB 1.0 offered transfer rates of up to 1.5 Mbits per second, and future versions improved upon that speed. A USB 3.0 port can (theoretically) reach speeds of up to 5 Gbits/s. A USB-C port can implement USB 3.0 or later, which is where the issue lies.

Describing a given port as USB-C doesn't tell you the speed it operates at, and describing a port as USB 3.1 doesn't tell you what type it is. The original USB port with the lowest version - the original port that debuted in '96 - is not just a USB port, it's a USB-A 1.0 port.

To make matters worse
---------------------

[Thunderbolt 3](https://en.wikipedia.org/wiki/Thunderbolt_(interface)#Thunderbolt_3) is a standard that uses the USB-C port. It allows for (among other things) communicating with an external GPU and connecting external displays. Thus, when describing a USB-C port, it is *also* pertinent to note whether or not it has Thunderbolt support. This doesn't apply to non-C ports (yet!).

Recap
-----

The letter (USB-**A**, USB-**C**) refers to the type of connector. You **cannot** mix and match types (a USB-C device will not connect to a USB-B port).

The number (USB **3.1**, USB **2.0**) refers to the version number. You **can usually** mix and match version numbers, but you may encounter reduced performance or functionality.

Thunderbolt is an **optional extension** for USB-C ports. A Thunderbolt device cannot work with a non-Thunderbolt port, but a non-Thunderbolt device will work with a Thunderbolt port.

There's more that I didn't go into in this post, but if I wanted to describe the ins and outs of every USB specification, we'd be here forever! :mlem:

*Some of the images used in this article were created by Wikipedia user* *[Fred the Oyster](https://commons.m.wikimedia.org/wiki/User:Fred_the_Oyster), under the* *[CC-BY-SA 4.0](https://creativecommons.org/licenses/by-sa/4.0/)* *license.*

