---
title: "Lynne Teaches Tech: Does \"dark mode\" really save battery life?"
author: Lynne
categories: [Lynne Teaches Tech]
tags: [Lynne Teaches Tech]
---

It depends!

<!--more-->  
Right now, there are two common types of consumer-oriented display technologies: LCD, and OLED (including AMOLED). LCD screens won't save any battery life by using dark themes, while OLED ones do.

LCD
---

Consumer electronics with LCD displays use LED backlights to give the image brightness. You may sometimes see LCD displays referred to as "LED-LCD", or (mistakenly) "LED". The LED provides the backlight, while the LCD displays the picture. It's possible to have an LCD display without a backlight (the Gameboy and Gameboy Colour had one), but uncommon.

The LED backlight provides brightness to the whole LCD display at once. To light up even one pixel, the whole display needs to be lit up. There's no way to have only some areas bright and others dark, it's all or nothing. Issues like backlight bleeding are inherent to this approach, and "true black" can never be displayed, as the display is always emitting light.

![An example of backlight bleeding (light "leaking" from the edges of the screen)  
[Image source](https://www.flickr.com/photos/shepard4711/8238692078) (CC-BY-SA)](https://wasabi.lynnesbian.space/bune-city/2019/05/e8e7ccf342b1fe4471e82df0a2432578/8238692078_4261f57902_k.jpg){.wp-image-304}

Colour is irrelevant to power saving on an LCD display. The only thing that helps is turning down the brightness. Displaying black at full brightness uses much more power than displaying white at low brightness, even though the white screen would provide much more light. The LCD filters out the blacklight to provide black, but the backlight's still on.

However, LCD displays tend to be more power efficient when displaying bright images than OLED displays. As soon as you start turning down the brightness, though, OLED quickly pulls ahead.

OLED
----

OLED displays don't have backlights. Every pixel is individually lit, so making half the screen black would use (about) half the power. Because of this, dark themes really do save power on OLED displays. Darker colours mean less power usage, and i a pixel is completely black (pure black, no light at all), it will turn off. A dark theme with a pure black background saves much, much more power than a dark grey background, because it allows the pixels to turn off entirely.

There's a downside to this, however - the pixels can't be turned on instantly. If you're scrolling quickly down a page with a pure black background on an OLED device, you might notice subtle "[smears](https://youtube.com/watch?v=QskpJDvA7zc&t=7s)" caused by the pixels taking some time to turn on. This effect is hard to notice in most cases, but is still something to consider.

The colour can also affect the battery usage. Google [gave a real world example](https://youtube.com/watch?v=N_6sPd0Jd3g) of battery usage with various colours on their 2016 Pixel phone:

![Blue uses much more power than red or green, and white uses the most.](https://wasabi.lynnesbian.space/bune-city/2019/05/13e9d1e721b06234f9c938dfed76ebf8/Screenshot_20190521-020441_MX_Player_Pro_1.png){.wp-image-308}

Summary
-------

Dark themes don't make a difference to power consumption on an LCD display, although you may find them easier on the eyes. While LCD displays light up the entire display at once with a backlight, OLED displays can set the brightness individually for each pixel, meaning that mostly black images use less power.

